> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/sales-channel-get-stock-list.md).

# Sales Channel Get Stock List

## Retrieves a specific stock list data of given channel

> Retrieves a specific stock list data of given channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"StockList":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"The unique identifier for the stock list","readOnly":true},"name":{"type":"string","description":"The name of the stock list","maxLength":255},"code":{"type":"string","description":"The code of the stock list","maxLength":50},"is_auto_sync":{"type":"boolean","description":"Indicates if the stock list is set to auto-sync","default":false}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/{channel_id}/stock_lists/{id}/detailed/":{"get":{"summary":"Retrieves a specific stock list data of given channel","description":"Retrieves a specific stock list data of given channel","tags":["SalesChannelGetStockList"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/StockList"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Lists all of stock list data of given channel

> Lists all of stock list data of given channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"name":{"name":"name","in":"query","description":"Filter by name.","schema":{"type":"string"}},"code":{"name":"code","in":"query","description":"Filter by code.","required":false,"schema":{"type":"string"}},"code__exact":{"name":"code__exact","in":"query","required":false,"description":"Filters by exact code","schema":{"type":"string"}},"is_auto_sync":{"name":"is_auto_sync","in":"query","required":false,"description":"Filter by auto-sync status.","schema":{"type":"boolean"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}}},"schemas":{"StockList":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"The unique identifier for the stock list","readOnly":true},"name":{"type":"string","description":"The name of the stock list","maxLength":255},"code":{"type":"string","description":"The code of the stock list","maxLength":50},"is_auto_sync":{"type":"boolean","description":"Indicates if the stock list is set to auto-sync","default":false}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/{channel_id}/stock_lists/":{"get":{"summary":"Lists all of stock list data of given channel","description":"Lists all of stock list data of given channel","tags":["SalesChannelGetStockList"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/code"},{"$ref":"#/components/parameters/code__exact"},{"$ref":"#/components/parameters/is_auto_sync"},{"$ref":"#/components/parameters/created_date"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","description":"Next page URL","nullable":true},"previous":{"type":"string","description":"Previous page URL","nullable":true},"results":{"type":"array","items":{"$ref":"#/components/schemas/StockList"}}}}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Lists all of stock list data of given channel

> Lists all of stock list data of given channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"name":{"name":"name","in":"query","description":"Filter by name.","schema":{"type":"string"}},"code":{"name":"code","in":"query","description":"Filter by code.","required":false,"schema":{"type":"string"}},"code__exact":{"name":"code__exact","in":"query","required":false,"description":"Filters by exact code","schema":{"type":"string"}},"is_auto_sync":{"name":"is_auto_sync","in":"query","required":false,"description":"Filter by auto-sync status.","schema":{"type":"boolean"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}}},"schemas":{"StockList":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"The unique identifier for the stock list","readOnly":true},"name":{"type":"string","description":"The name of the stock list","maxLength":255},"code":{"type":"string","description":"The code of the stock list","maxLength":50},"is_auto_sync":{"type":"boolean","description":"Indicates if the stock list is set to auto-sync","default":false}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/{channel_id}/stock_lists/detailed/":{"get":{"summary":"Lists all of stock list data of given channel","description":"Lists all of stock list data of given channel","tags":["SalesChannelGetStockList"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/code"},{"$ref":"#/components/parameters/code__exact"},{"$ref":"#/components/parameters/is_auto_sync"},{"$ref":"#/components/parameters/created_date"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","description":"Next page URL","nullable":true},"previous":{"type":"string","description":"Previous page URL","nullable":true},"results":{"type":"array","items":{"$ref":"#/components/schemas/StockList"}}}}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/omnitron-openapis/sales-channel-get-stock-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
